const { refObject, Vector, GameObject, GameWorld, Color, Player } = require('@tabletop-playground/api');

refObject.onGrab.add(
    function (obj, player) {
        const colour = refObject.getTemplateMetadata()
        var red = parseInt(colour[1] + colour[2], 16);
        var green = parseInt(colour[3] + colour[4], 16);
        var blue = parseInt(colour[5] + colour[6], 16);

        const playercolor = new Color((red / 255), (green / 255), (blue / 255), 1.0);

        player.setDrawingColor(playercolor);
    }
); 